## db5.3 5.3.28+dfsg2

=== test/java/compat/Makefile ===
TESTCLASSES=\
    ./src/com/sleepycat/bind/serial/test/*.java\
    ./src/com/sleepycat/bind/test/*.java\
    ./src/com/sleepycat/bind/tuple/test/*.java\
    ./src/com/sleepycat/collections/test/*.java\
    ./src/com/sleepycat/collections/test/serial/*.java\
    ./src/com/sleepycat/util/test/*.java \
    ./src/com/sleepycat/db/util/*.java

TESTSERIALPATH=com/sleepycat/collections/test/serial/TestSerial

all: dbtest.jar

dbtest.jar: classesdir
	# Compile the tests and build the test jar
	javac -classpath "${DB_JAR}${CP_SEP}${REQUIRED_JARS}" \
		-d ./classes ${TESTCLASSES}
	jar cf ./dbtest.jar -C ./classes ./com/sleepycat
	# Build the original version of TestSerial in the testserial directory
	mkdir -p "testserial/${TESTSERIALPATH}"
	cp "./src/${TESTSERIALPATH}.java.original" \
		"./testserial/${TESTSERIALPATH}.java"
	javac -classpath "${DB_JAR}${CP_SEP}${REQUIRED_JARS}" \
		-d ./testserial "testserial/${TESTSERIALPATH}.java"

classesdir:
	[ -d ./classes ] || (mkdir ./classes)

clean:
	[ -d ./classes ] && rm -rf ./classes
	[ -f ./dbtest.jar ] && rm ./dbtest.jar
	[ -d ./testserial ] && rm -rf ./testserial

=== debian/changelog ===
db5.3 (5.3.28+dfsg2-9deepin1) unstable; urgency=medium

  * Revert t64.

 -- zengwei <zengwei1@uniontech.com>  Wed, 23 Jul 2025 11:28:09 +0800

 db5.3 (5.3.28+dfsg2-9) unstable; urgency=medium

  * QA upload.
  * Fix the "64-bit integral type support for sequences"
    autoconf test with gcc 14.

 -- Adrian Bunk <bunk@debian.org>  Tue, 15 Oct 2024 14:40:15 +0300

=== debian/control ===
Source: db5.3
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
# For DEB_STAGE=stage1 build tcl-dev can be dropped
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10),
	       tcl <cross !pkg.db5.3.notcl>,
	       tcl-dev <!pkg.db5.3.notcl>,
	       procps [!hurd-any] <!nocheck>,
Rules-Requires-Root: no
Homepage: http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/overview/index.html
Vcs-Browser: https://salsa.debian.org/debian/db5.3
Vcs-Git: https://salsa.debian.org/debian/db5.3.git

Package: db5.3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Berkeley v5.3 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.3 of Berkeley DB.

Package: libdb5.3-dev
Architecture: any
Section: libdevel
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.3-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.1-dev, libdb5.2-dev
Description: Berkeley v5.3 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3
Replaces: libdb5.3
Breaks: libdb5.3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database library.

Package: db5.3-util
Architecture: any
Section: database
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 database format, and includes:
  - db5.3_archive: write the pathnames of the log files no longer in use.
  - db5.3_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.3_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.3_load: loads (and creates) a database from standard input.
  - db5.3_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.3_printlog: dump log files in human readable format.
  - db5.3_stat: display statistics for Berkeley DB environments.
  - db5.3_tuner: Analyzes and tunes btree database.
  - db5.3_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.3_verify: check the structure of files and their databases.

Package: libdb5.3++
Replaces: libdb5.3++
Breaks: libdb5.3++ (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.3
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.3++-dev
Architecture: any
Section: libdevel
Depends: libdb5.3++ (= ${binary:Version}),
	 libdb5.3-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev, libdb5.1++-dev, libdb5.2++-dev
Description: Berkeley v5.3 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.3-dbg
Architecture: any
Section: debug
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.3 database
 libraries and binaries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Berkeley DB defaults
# Copyright (C) 2011 Ondřej Surý
# Published under the GNU GPL license
# Partially based on previous work by Clint Adams
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=.arch-ids

include /usr/share/dpkg/architecture.mk

CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--disable-java \
			--disable-sql \
			--disable-stl \
			--enable-dbm

ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
  ENABLE_TESTS=yes
  CONFIGURE_SWITCHES += --enable-tcl
ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
else
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib
endif
else
  ENABLE_TESTS=no
  CONFIGURE_SWITCHES += --disable-tcl
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ENABLE_TESTS=no
endif

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
  CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif

BROKEN_CPUS = zs390z
VERY_BROKEN_CPUS = zhppaz
BROKEN_SYSTEMS = zgnuz

TCLSH=/usr/bin/tclsh

package=db5.3
bdbversion=5.3

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

LIBTOOL_AUX_FILES=config.guess config.sub install-sh ltmain.sh
LIBTOOL_MACROS_FILES=libtool.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4

RECONF_FILES=dist/config.hin \
             dist/configure \
             $(patsubst %,dist/%,$(LIBTOOL_AUX_FILES)) \
             $(patsubst %,dist/aclocal/%,$(LIBTOOL_MACROS_FILES))

%:
	dh $@ $(DH_PLUGINS)

override_dh_auto_configure:
	if [ ! -d $(CURDIR)/debian/s_config ]; then \
	  mkdir -p $(CURDIR)/debian/s_config/dist/aclocal/; \
	fi
	for f in $(RECONF_FILES); do \
	  if [ ! -f $(CURDIR)/debian/s_config/$$f ]; then \
	    mv $(CURDIR)/$$f $(CURDIR)/debian/s_config/`dirname $$f`; \
	  fi; \
	done
	cd dist && libtoolize -cfi
	cd dist && ./s_config
ifeq ($(ENABLE_TESTS),yes)
	dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
endif
	dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test

override_dh_auto_clean:
ifeq ($(ENABLE_TESTS),yes)
	dh_auto_clean -Ddist -Bbuild-test
endif
	dh_auto_clean -Ddist -Bbuild-production
	rm -f $(CURDIR)/debian/build_signature.txt
	for f in $(RECONF_FILES); do \
	  if [ -f $(CURDIR)/debian/s_config/$$f ]; then \
	    mv $(CURDIR)/debian/s_config/$$f $(CURDIR)/`dirname $$f`; \
	  fi; \
	done
	if [ -d $(CURDIR)/debian/s_config/ ]; then \
	  rmdir $(CURDIR)/debian/s_config/dist/aclocal/ \
	        $(CURDIR)/debian/s_config/dist/ \
	        $(CURDIR)/debian/s_config/; \
	fi

override_dh_auto_test:
ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS)))
ifeq ($(ENABLE_TESTS),yes)
	cd build-test && make cutest && ./cutest
	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh

ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(BROKEN_SYSTEMS)))
	! grep ^FAIL build-test/ALL.OUT
else
# Testsuite failures are marked as non-fatal on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
	grep ^FAIL build-test/ALL.OUT || true
endif
else
# Testsuite has been disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif
else
# Testsuite has been disabled on $(DEB_BUILD_GNU_SYSTEM)-$(DEB_BUILD_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install -Ddist -Bbuild-production

# Remove .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

# Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so

# Reduce duplication in duplicate .a files by symlinking
	for v in "" _cxx _tcl; do \
	  rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
	  ln -s libdb$$v-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
	done

# only works for the native build
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
# Compare built-in signature and fail build if it is different
	cc ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} \
	   -o$(CURDIR)/debian/db_signature \
	   -I$(CURDIR)/debian/tmp/usr/include \
	     $(CURDIR)/debian/db_signature.c \
	     $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

	$(CURDIR)/debian/db_signature > $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt

	echo -n "Berkeley DB signature is:"; $(CURDIR)/debian/db_signature
endif

	for i in $(CURDIR)/debian/tmp/usr/bin/db_*; do \
	  mv $$i $$(echo $$i | sed -e 's{usr/bin/db_{usr/bin/$(package)_{'); \
	done

override_dh_install:
	dh_install -a -Xusr/doc --list-missing
ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
	tcltk-depends
endif

override_dh_installdocs-indep:
	dh_installdocs -pdb5.3-doc

override_dh_installdocs-arch:
	dh_installdocs --link-doc=libdb5.3
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	# Install build_signature_$(DEB_HOST_ARCH).txt to docs
	mkdir -p $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
	install -m 644 debian/build_signature_$(DEB_HOST_ARCH).txt $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
endif

override_dh_strip:
	dh_strip -s --dbg-package=libdb5.3-dbg

override_dh_clean:
	rm -rf build
	rm -f $(CURDIR)/debian/db_signature

## db5.3 5.3.28.1

=== debian/changelog ===
db5.3 (5.3.28.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-8457: SQLite3 from 3.6.0 to and including 3.27.2 is 
    vulnerable to heap out-of-bound read in the rtreenode() function
     when handling invalid rtree tables.

 -- liaoyuan <liaoyuan@uniontech.com>  Mon, 16 May 2022 13:33:07 +0800
